[arch-commits] Commit in perl-sdl/trunk (PKGBUILD)
Rémy Oudompheng
remy at archlinux.org
Wed Jun 15 21:01:17 UTC 2011
Date: Wednesday, June 15, 2011 @ 17:01:17
Author: remy
Revision: 127524
Unset CFLAGS, otherwise Perl defines are ignored. PKGBUILD cleanup.
When CFLAGS are set, the build script would forget to set LARGEFILE-type
macros leading to binary incompatibilities with libperl.
Modified:
perl-sdl/trunk/PKGBUILD
----------+
PKGBUILD | 21 +++++++++++++++------
1 file changed, 15 insertions(+), 6 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2011-06-15 18:46:27 UTC (rev 127523)
+++ PKGBUILD 2011-06-15 21:01:17 UTC (rev 127524)
@@ -5,7 +5,7 @@
pkgname=perl-sdl
pkgver=2.531
-pkgrel=2
+pkgrel=3
pkgdesc="Simple DirectMedia Layer for Perl"
arch=(i686 x86_64)
license=(LGPL)
@@ -20,12 +20,21 @@
source=(http://search.cpan.org/CPAN/authors/id/G/GA/GARU/SDL-$pkgver.tar.gz)
md5sums=('ed39c87ae685d3a933705a2ea82a9e18')
-package() {
+build() {
cd "$srcdir/SDL-$pkgver"
-
+ # Perl selects the proper CFLAGS set for binary modules
+ unset CFLAGS
# install module in vendor directories
- perl Build.PL installdirs=vendor destdir="$pkgdir"
-
+ perl Build.PL installdirs=vendor
perl Build
- perl Build install
}
+
+check() {
+ cd "$srcdir/SDL-$pkgver"
+ perl Build test || true
+}
+
+package() {
+ cd "$srcdir/SDL-$pkgver"
+ perl Build install destdir="$pkgdir"
+}
More information about the arch-commits
mailing list